// $Id$
// @version SlUser
// @package GiveCard
// @copyright Copyright wene / ssm2017 Binder (C) 2009. All rights reserved.
// @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
// SlUser is free software and parts of it may contain or be derived from the GNU General Public License
// or other free or open source software licenses.

string notecard_name = "readme";
// **********************
//              STRINGS
// **********************
// === user ===
string _GET_NOTECARD = "Get Notecard";
string _THE_NOTECARD_NAMED = "The notecard named";
string _IS_MISSING = "is missing for the notecard giver";
// ===================================================
//          NOTHING SHOULD BE CHANGED UNDER THIS LINE
// ===================================================
// **********************
//          VARS
// **********************
key owner;
integer busy = FALSE;
key actual_user = NULL_KEY;
// **********************
//          MAIN ENTRY
// **********************
default
{
    state_entry()
    {
        owner = llGetOwner();
    }
    link_message(integer sender_num, integer num, string str, key id)
    {
        string cmd = (string)id;
        if (cmd == "ready")
        {
            if (llGetInventoryType(notecard_name) != INVENTORY_NONE)
            {
                state getParams;
            }
            else
            {
                llOwnerSay(_THE_NOTECARD_NAMED + " \"" + notecard_name + "\" " + _IS_MISSING);
            }
        }
        else if (cmd == "reset")
        {
            llResetScript();
        }
    }
}
// **********************
//          GET PARAMS
// **********************
state getParams
{
    state_entry()
    {
        llMessageLinked(LINK_THIS, 0, _GET_NOTECARD, (key)"addApp");
        state run;
    }
}
// **********************
//          RUN MODE
// **********************
state run
{
    link_message(integer sender_num, integer num, string str, key id)
    {
        string cmd = (string)id;
        if (cmd == "setBusy")
        {
            busy = TRUE;
            actual_user = (key)str;
        }
        else if (cmd == "setEnabled")
        {
            busy = FALSE;
            actual_user = NULL_KEY;
        }
        else if (cmd == "setActualUser")
        {
            actual_user = (key)str;
        }
        else if (cmd == "menuAnswer")
        {
            if (str == _GET_NOTECARD)
            {
                if (llGetInventoryType(notecard_name) != INVENTORY_NONE)
                {
                    llGiveInventory(actual_user, notecard_name);
                }
            }
        }
        else if (cmd == "reset")
        {
            llResetScript();
        }
    }
}